Use this API to remove a single user from a privilege.
Required Feature
A OneLogin subscription that includes Delegated Administration is required to use the privileges API.
Resource URL
DELETE https://<subdomain>.onelogin.com/api/1/privileges/:id/users/:user_idHeader Parameters
Authorization required string | Set to Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API using the |
Resource Parameter
id required string | Set to the |
user_id required string | Set to the |
Sample Response
- 204 No Content
- 401 Unauthorized
- 404 Not Found
The user was removed from the privilege.
Typically, this error indicates an invalid access token.
{
"statusCode": 401,
"name": "UnauthorizedError",
"message": "The request requires user authentication."
}The privilege or user ID does not exist or has been removed.
{
"statusCode": 404,
"name": "NotFoundError",
"message": "The resource can't be found or the server has not found anything matching the Request-URI"
}Sample Code
cURL
curl 'https://<subdomain>.onelogin.com/api/1/privileges/<privilege_id>/users/<user_id>' \
-X DELETE \
-H "Authorization: Bearer <access_token>"Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.